
Redmine - Defect #32770

Text formating on Redmine Home page does not work

2020-01-08 11:04 - Sebastian Paluch

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 4.1.0

Description

On Home page following text formatting is not working anymore (was working in 3.4.4)

something *%{color:red}something%* something...

 It gets displayed as plain text.

This still works in other places e.g. project overview.

Environment:

  Redmine version                4.1.0.stable

  Ruby version                   2.5.7-p206 (2019-10-01) [x64-mingw32]

  Rails version                  5.2.4.1

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.11.1

  Git                            2.19.1

  Filesystem                     

Redmine plugins:

  no plugin installed

History

#1 - 2020-01-12 20:42 - Marius BĂLTEANU

- File home.png added

- Status changed from New to Needs feedback

- Assignee set to Sebastian Paluch

Where did you input that text?

In Home page, I tried 2 scenarios:

1. Set as "Welcome text" and it works.

2. Set as News summary and it doesn't work.

 home.png 

It will be helpful to provide the steps to reproduce the problem.

#2 - 2020-01-13 09:20 - Sebastian Paluch

Sorry, I was not precise in this issue.

The exact text entered in "Welcome text" is:

Jump to "*%{color:red}Redmine help project%*":/redmine/projects/redmineusers/wiki and follow the guides...

This results with following text being displayed on the Home page:

Jump to *%{color:red}Redmine help project%* and follow the guides...
 It seems that the link makes the difference.

#3 - 2020-01-13 22:28 - Marius BĂLTEANU

- File 3.4.12.png added

- File trunk.png added

- File new_text.png added

Indeed, in Redmine 3.4.12, the following text

Jump to "*%{color:red}Redmine help project%*":/redmine/projects/redmineusers/wiki and follow the guides...

is rendered as:

 3.4.12.png 

where "Redmine help project" links to "redmine/projects/redmineusers/wiki".    

In current trunk, the same text is rendered as:

 trunk.png 

but if you change the text to

Jump to *"{color:red}Redmine help project":/redmine/projects/redmineusers/wiki* and follow the guides

or

Jump to *%"{color:red}Redmine help project%*":/redmine/projects/redmineusers/wiki and follow the guides...

then is rendered as expected:

 new_text.png     

I'm not sure why the old format doesn't work anymore, but I've added Go Maeda as watcher, he knows better the Textile formatting.

#4 - 2020-04-11 11:52 - Marius BĂLTEANU

- Assignee changed from Sebastian Paluch to Go MAEDA

Go Maeda, do you have any clue about this issue?

Files

home.png 186 KB 2020-01-12 Marius BĂLTEANU

3.4.12.png 19.5 KB 2020-01-13 Marius BĂLTEANU

trunk.png 24.7 KB 2020-01-13 Marius BĂLTEANU

new_text.png 20 KB 2020-01-13 Marius BĂLTEANU
